<%@ Page Language="C#" AutoEventWireup="true" CodeFile="examfeeyearwise.aspx.cs" MasterPageFile="~/module/dashboardPage.master" Inherits="module_examfeeyearwise" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
       <script src="../assets/js/jquery-1.9.1.js" type="text/javascript"></script>
    <script type="text/javascript">
        var studids1 = "";
        var pkgsids1 = "";
        var yrsids1 = "";
        var clsids1 = "";
        var divsids1 = ""; var semis1= "";var studenids = "";
        $(document).ready(function () {
            let today2 = new Date().toISOString().substr(0, 10);
            document.querySelector("#exdate").value = today2;
            $("select[id$=ddlpaymode]").change(function () {
                if( $("select[id$=ddlpaymode]").val() == "online"){
                    $("#divutrn").show();
                } 
                else  if($("select[id$=ddlpaymode]").val() == "cash"){
                    $("#divutrn").hide();
                }
            });
            SearchText1();
            $.ajax({
                type: "POST",
                contentType: "application/json; charset=utf-8",
                url: "examfeeyearwise.aspx/PopulateDropDownList3",
                data: "",
                dataType: "json",
                success: function (result) {
                    $('select[id$=ddlyears]').empty();
                    $('select[id$=ddlyears]').append("<option value='0'>Select Years</option>");
                    $.each(result.d, function (key, value) {

                        var ddyear1 = value.DeptName;
                        var ddyear2 = value.year1;
                        var dtyear1 = new Date(ddyear1);
                        var dtyear2 = new Date(ddyear2);
                        var stryr = dtyear1.getFullYear() + "-" + dtyear2.getFullYear();

                        $('select[id$=ddlyears]').append($("<option data-toggle='tooltip' data-placement='top' title='" + stryr + "'></option>").val(value.DeptId).html(stryr));
                        //console.log(value.DeptName);
                    });
                    $('select[id$=ddlyears]').val('0').change();
                    //$('select[id$=cat] option:eq(0)').attr("selected", true);
                    //  $('select[id$=ddlclassty]').selectpicker('refresh');
                    //  hdndoc=$('select[id$=cat] option:eq(1)').val();
                },
                error: function ajaxError(result) {
                    console.log(result.status + ' : ' + result.statusText);
                }

            }); 
            $.ajax({
                type: "POST",
                contentType: "application/json; charset=utf-8",
                url: "examfeeyearwise.aspx/PopulateDropDownList3",
                data: "",
                dataType: "json",
                success: function (result) {
                    $('select[id$=ddlyears1]').empty();
                    $('select[id$=ddlyears1]').append("<option value='0'>Select Years</option>");
                    $.each(result.d, function (key, value) {

                        var ddyear1 = value.DeptName;
                        var ddyear2 = value.year1;
                        var dtyear1 = new Date(ddyear1);
                        var dtyear2 = new Date(ddyear2);
                        var stryr = dtyear1.getFullYear() + "-" + dtyear2.getFullYear();

                        $('select[id$=ddlyears1]').append($("<option data-toggle='tooltip' data-placement='top' title='" + stryr + "'></option>").val(value.DeptId).html(stryr));
                        //console.log(value.DeptName);
                    });
                    $('select[id$=ddlyears1]').val('0').change();
                    //$('select[id$=cat] option:eq(0)').attr("selected", true);
                    //  $('select[id$=ddlclassty]').selectpicker('refresh');
                    //  hdndoc=$('select[id$=cat] option:eq(1)').val();
                },
                error: function ajaxError(result) {
                    console.log(result.status + ' : ' + result.statusText);
                }

            });
            $.ajax({
                type: "POST",
                contentType: "application/json; charset=utf-8",
                url: "examfeeyearwise.aspx/PopulateDropDownList4",
                data: "",
                dataType: "json",
                success: function (result) {
                    $('select[id$=ddlclass]').empty();
                    $('select[id$=ddlclass]').append("<option value='0'>Select Class</option>");
                    $.each(result.d, function (key, value) {
                        var ddyear1 = value.DeptName;


                        $('select[id$=ddlclass]').append($("<option data-toggle='tooltip' data-placement='top' title='" + ddyear1 + "'></option>").val(value.DeptId).html(ddyear1));
                        //console.log(value.DeptName);
                    });
                    $('select[id$=ddlclass]').val('0').change();
                   // $('select[id$=cat] option:eq(1)').attr("selected", true);
                    //  $('select[id$=ddlclassty]').selectpicker('refresh');
                    //  hdndoc=$('select[id$=cat] option:eq(1)').val();
                },
                error: function ajaxError(result) {
                    console.log(result.status + ' : ' + result.statusText);
                }

            }); 
            $.ajax({
                type: "POST",
                contentType: "application/json; charset=utf-8",
                url: "examfeeyearwise.aspx/PopulateDropDownList4",
                data: "",
                dataType: "json",
                success: function (result) {
                    $('select[id$=ddlclass1]').empty();
                    $('select[id$=ddlclass1]').append("<option value='0'>Select Class</option>");
                    $.each(result.d, function (key, value) {
                        var ddyear1 = value.DeptName;


                        $('select[id$=ddlclass1]').append($("<option data-toggle='tooltip' data-placement='top' title='" + ddyear1 + "'></option>").val(value.DeptId).html(ddyear1));
                        //console.log(value.DeptName);
                    });
                    $('select[id$=ddlclass1]').val('0').change();
                    // $('select[id$=cat] option:eq(1)').attr("selected", true);
                    //  $('select[id$=ddlclassty]').selectpicker('refresh');
                    //  hdndoc=$('select[id$=cat] option:eq(1)').val();
                },
                error: function ajaxError(result) {
                    console.log(result.status + ' : ' + result.statusText);
                }

            });
            $('select[id$=ddlclass]').change(function () {

                $.ajax({
                    type: "POST",
                    contentType: "application/json; charset=utf-8",
                    url: "examfeeyearwise.aspx/PopulateDropDownList",
                    data: "{clsid :  '" + $('select[id$=ddlclass]').val() + "'}",
                    dataType: "json",
                    success: function (result) {
                        $('select[id$=ddldivi]').empty();
                        $('select[id$=ddldivi]').append("<option value='0'>Select Division</option>");
                        $.each(result.d, function (key, value) {
                            var ddyear1 = value.DeptName;


                            $('select[id$=ddldivi]').append($("<option data-toggle='tooltip' data-placement='top' title='" + ddyear1 + "'></option>").val(value.DeptId).html(ddyear1));
                            //console.log(value.DeptName);
                        });

                        $('select[id$=ddldivi]').val('0').change();
                        // $('select[id$=ddldivi]').val(divids).change();




                        //  $('select[id$=ddlclassty]').selectpicker('refresh');
                        //  hdndoc=$('select[id$=cat] option:eq(1)').val();
                    },
                    error: function ajaxError(result) {
                        console.log(result.status + ' : ' + result.statusText);
                    }

                });
            });  
            $('select[id$=ddlclass1]').change(function () {

                $.ajax({
                    type: "POST",
                    contentType: "application/json; charset=utf-8",
                    url: "examfeeyearwise.aspx/PopulateDropDownList",
                    data: "{clsid :  '" + $('select[id$=ddlclass1]').val() + "'}",
                    dataType: "json",
                    success: function (result) {
                        $('select[id$=ddldivi1]').empty();
                        $('select[id$=ddldivi1]').append("<option value='0'>Select Division</option>");
                        $.each(result.d, function (key, value) {
                            var ddyear1 = value.DeptName;


                            $('select[id$=ddldivi1]').append($("<option data-toggle='tooltip' data-placement='top' title='" + ddyear1 + "'></option>").val(value.DeptId).html(ddyear1));
                            //console.log(value.DeptName);
                        });

                        $('select[id$=ddldivi1]').val('0').change();
                        // $('select[id$=ddldivi]').val(divids).change();




                        //  $('select[id$=ddlclassty]').selectpicker('refresh');
                        //  hdndoc=$('select[id$=cat] option:eq(1)').val();
                    },
                    error: function ajaxError(result) {
                        console.log(result.status + ' : ' + result.statusText);
                    }

                });
            }); 
          
            //    var obj = {};
            //    obj.years = $('select[id$=ddlyears]').val();
            //    obj.classes = $('select[id$=ddlclass]').val();
            //    obj.divisions = $('select[id$=ddldivi]').val();
            //    $.ajax({
            //        type: "POST",
            //        contentType: "application/json; charset=utf-8",
            //        url: "examfeeyearwise.aspx/PopulateDropDownListStudent",
            //        data: JSON.stringify(obj),
            //        dataType: "json",
            //        success: function (result) {
            //            $('select[id$=ddlstudent]').empty();
            //            $('select[id$=ddlstudent]').append("<option value='0'>Select Student</option>");
            //            $.each(result.d, function (key, value) {
            //                var ddyear1 = value.titles +"."+ value.fname+" "+value.mname+" "+value.lname;


            //                $('select[id$=ddlstudent]').append($("<option data-toggle='tooltip' data-placement='top'></option>").val(value.studids).html(ddyear1));
            //                //console.log(value.DeptName);
            //            });

            //            $('select[id$=ddlstudent]').val('0').change();
            //            // $('select[id$=ddldivi]').val(divids).change();




            //            //  $('select[id$=ddlclassty]').selectpicker('refresh');
            //            //  hdndoc=$('select[id$=cat] option:eq(1)').val();
            //        },
            //        error: function ajaxError(result) {
            //            console.log(result.status + ' : ' + result.statusText);
            //        }

            //    });
          
            $("select[id$=ddldivi]").change(function () {
            $.ajax({
                type: "POST",
                contentType: "application/json; charset=utf-8",
                url: "examfeeyearwise.aspx/PopulateDropDownList45",
                data: "{yrsid :'" + $('select[id$=ddlyears]').val() + "',divsid :'" + $('select[id$=ddldivi]').val() + "',clsid :  '" + $('select[id$=ddlclass]').val() + "'}",
                dataType: "json",
                success: function (result) {
                    $('select[id$=ddlsemister]').empty();
                    $('select[id$=ddlsemister]').append("<option value='0'>Select Semister</option>");
                    $.each(result.d, function (key, value) {
                     
                        $('select[id$=ddlsemister]').append($("<option data-toggle='tooltip' data-placement='top' title='" + value.DeptName + "'></option>").val(value.DeptId).html(value.DeptName));
                        //console.log(value.DeptName);
                    });

                    $('select[id$=ddlsemister]').val('0').change();
                    //  $('select[id$=ddlsemister]').val(divids).change();

                    //  $('select[id$=ddlsemister]').trigger("change");


                    //  $('select[id$=ddlclassty]').selectpicker('refresh');
                    //  hdndoc=$('select[id$=cat] option:eq(1)').val();
                },
                error: function ajaxError(result) {
                    console.log(result.status + ' : ' + result.statusText);
                }

            });
                });
            //$('select[id$=ddlstudent]').change(function () {

               
            //});
            $('select[id$=ddlsemister]').change(function () {
                $.ajax({
                    type: "POST",
                    contentType: "application/json; charset=utf-8",
                    url: "examfeeyearwise.aspx/PopulateDropDownList46",
                    data: "{yrsid :'" + $('select[id$=ddlyears]').val() + "',divsid :'" + $('select[id$=ddldivi]').val() + "',clsid :  '" + $('select[id$=ddlclass]').val() + "',semid :'"+ $('select[id$=ddlsemister]').val() +"'}",
                    dataType: "json",
                    success: function (result) {
                        $('select[id$=ddlpkg]').empty();
                        $('select[id$=ddlpkg]').append("<option value='0'>Select Package</option>");
                        $.each(result.d, function (key, value) {
                            var ddyear1 = value.DeptName;


                            $('select[id$=ddlpkg]').append($("<option data-toggle='tooltip' data-placement='top' title='" + ddyear1 + "'></option>").val(value.DeptId).html(ddyear1));
                            //console.log(value.DeptName);
                        });

                        $('select[id$=ddlpkg]').val('0').change();
                        //  $('select[id$=ddlsemister]').val(divids).change();




                        //  $('select[id$=ddlclassty]').selectpicker('refresh');
                        //  hdndoc=$('select[id$=cat] option:eq(1)').val();
                    },
                    error: function ajaxError(result) {
                        console.log(result.status + ' : ' + result.statusText);
                    }

                });
            });
        }); 
        function SearchText1() {
                     	              
            $("#ddlstudent").autocomplete({
                source: function (request, response) {
                    $.ajax({
                        url: "examfeeyearwise.aspx/GetCompanyName",
                        data: "{ 'pre':'" + request.term + "',yrsid :'"+ $('select[id$=ddlyears]').val() +"',divsid :'"+ $('select[id$=ddldivi]').val() +"',clsid :'"+ $('select[id$=ddlclass]').val() +"'}",
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            if(data.d =="")
                            {
                                var dd = "&nbsp;&nbsp;Student Not Found";
                                Lobibox.notify(
                       'success',
                                      {
                                          title: true,
                                          msg: dd,
                                          position: "top right",
                                          closable: true,

                                          delay: 3000
                                      }
                  );
                                //$("#mclose")[0].click();
                            }
                            response($.map(data.d, function (item) {
                                                            
                                return {
                                    Name: item.titles+"." +item.firstnm+" "+item.midnm+" "+item.lastnm +"/"+item.studids,
                                    lnam:item.Name,
                                    val:item.studids,
                                    
                                    json: item
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            var dd = "&nbsp;&nbsp;Invalid Input";
                            //noty({ text: dd, layout: 'topRight', type: 'error' });
                            //setTimeout(function () { $.noty.closeAll(); }, 3000);
                        }
                    });
                },
              
                focus: function (event, ui) {
                    $("#ddlstudent").val(ui.item.Name);
                   
                    return false;
                },
                select: function (event, ui) {
                                    	                    
                  
                    srdstudentid(ui.item.val);
                                    	                        
                
                                    	                        
                    return false;

                },
                minLength: 1
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
                return $("<li>")
                .append("<a>" + item.Name + "</a>")
                .appendTo(ul);
            };
        }
        function srdstudentid(sids){
            studenids = sids; 
        }
        function getstuddata() {
            var obj = {};
            obj.years = $('select[id$=ddlyears1]').val();
            obj.classes = $('select[id$=ddlclass1]').val();
            obj.divisions = $('select[id$=ddldivi1]').val();
            $.ajax({
                type: "POST",
                url: "examfeeyearwise.aspx/GetData",
                contentType: "application/JSON; charset=utf-8",
                data: JSON.stringify(obj),
                datatype: "JSON",
                success: function (data) {
                    var table = $('#dataemp').DataTable();
                    data = JSON.parse(data.d);
                    table.clear();
                    for (var i = 0, count = 1; i < data.length; i++, count++) {
                        var ddyear1 = data[i].fromdate;
                        var ddyear2 = data[i].todate;
                        var dtyear1 = new Date(ddyear1);
                        var dtyear2 = new Date(ddyear2);
                        var stryr = dtyear1.getFullYear() + "-" + dtyear2.getFullYear();
                        table.row.add([
                             count, data[i].studid, data[i].pname, data[i].pkgids, data[i].pkgname, data[i].pname, stryr, data[i].clsname, data[i].divsname, data[i].feepackname, data[i].totalamount,data[i].examrecpt,data[i].paymode,data[i].utrnos,data[i].examdate,
                             "<button  style='height:35px; width: 35px; padding-left:7px;display:none;' type='button' title='Assign' onclick='assignstudent(\"" + data[i].studid + "\"," + data[i].pkgsids + "," + data[i].yearid + "," + data[i].clsids + "," + data[i].divsids + ")' id='btnedit" + i + "' class='btn btn-success' data-bs-toggle='modal' data-bs-target='#exampleLargeModal5' ><i class='lni lni-save'></i></button><button    id='prt" + i + "'  style='height:35px; width: 35px; padding-left:7px;' onclick='printdata(\"" + data[i].studid + "\"," + data[i].yearid + "," + data[i].clsids + "," + data[i].divsids + "," + data[i].exampkgid + "," + data[i].semsid + ","+ data[i].examrecpt +")' type='button' class='btn btn-primary'><i class='fadeIn animated bx bx-printer'></i></button> <button  style='height:35px; width: 35px; padding-left:7px;' type='button' title='delete' onclick='deletedata(" + data[i].examrecpt + ",\""+ data[i].studid +"\"," + data[i].yearid + "," + data[i].clsids + "," + data[i].divsids + ")' id='btndelete' class='btn btn-danger'><i class='fadeIn animated bx bx-trash-alt'></i></button>",

                        ]).draw(true);

                        //if (data[i].examfeestatus == "Assigned") {

                        //    $("#btnedit" + i).attr("disabled","disabled");
                        //    $("#prt" + i).show();
                        //}
                        //else {
                        //    $("#btnedit" + i).show();
                        //    $("#prt" + i).attr("disabled","disabled");
                        //}
                    }
                }
            });
        }  
        function deletedata(reptsid,studids,yrsid,clsid,divisids){
            
            $.ajax({
                url: "examfeeyearwise.aspx/DeleteData",
                contentType: "application/JSON; charset=utf-8",
                method: "post",
                datatype: "JSON",
                data: "{id:'" + reptsid + "',studentids :'"+ studids +"',yrsids :'"+ yrsid +"',classid :'"+ clsid +"',divisions :'"+ divisids +"'}",
                success: function (data) {
                  
                    $("#Table1").find("tbody").empty(); 
                    
                    noty({ text: 'Delete Successfully', layout: 'topRight', type: 'information' });
                    setTimeout(function () { $.noty.closeAll(); }, 3000);
                }
            });
        }
        function assignstudent(studids, pkgsids, yrsids, clsids, divsids) {
            studids1 = studids;
            pkgsids1 = pkgsids;
            yrsids1 = yrsids;
            clsids1 = clsids;
            divsids1 = divsids;
            semis1 = "";
         
            $("#txtutrnos").val("");
            $('select[id$=ddlpaymode]').val("").change(); $("#divutrn").hide();
        
            $.ajax({
                type: "POST",
                contentType: "application/json; charset=utf-8",
                url: "examfeeyearwise.aspx/PopulateDropDownList45",
                data: "{yrsid :'" + yrsids + "',divsid :'" + divsids + "',clsid :  '" + clsids + "'}",
                dataType: "json",
                success: function (result) {
                    $('select[id$=ddldivis]').empty();
                    $('select[id$=ddldivis]').append("<option value='0'>Select Division</option>");
                    $.each(result.d, function (key, value) {
                        var ddyear1 = value.DeptName;
                     

                        $('select[id$=ddldivis]').append($("<option data-toggle='tooltip' data-placement='top' title='" + ddyear1 + "'></option>").val(value.DeptId).html(ddyear1));
                        //console.log(value.DeptName);
                    });

                    $('select[id$=ddldivis] option:eq(1)').attr("selected", true);
                    //  $('select[id$=ddlsemister]').val(divids).change();

                  $('select[id$=ddldivis]').trigger("change");


                    //  $('select[id$=ddlclassty]').selectpicker('refresh');
                    //  hdndoc=$('select[id$=cat] option:eq(1)').val();
                },
                error: function ajaxError(result) {
                    console.log(result.status + ' : ' + result.statusText);
                }

            });
          
        } 
        function assignexampkg() {
            if($('#ddlstudent').val() == "" ){
                noty({ text: 'Please Select Student Name', layout: 'topRight', type: 'information' });
                setTimeout(function () { $.noty.closeAll(); }, 3000);
                return false;
            }
            if($("select[id$=ddlpaymode]").val() == ""){
                noty({ text: 'Please Select Pay Mode', layout: 'topRight', type: 'information' });
                setTimeout(function () { $.noty.closeAll(); }, 3000);
                return false;
            }
if($('select[id$=ddlsemister]').val() == "0"){
 noty({ text: 'Please Select Semister', layout: 'topRight', type: 'information' });
                setTimeout(function () { $.noty.closeAll(); }, 3000);
                return false;
} 
if($("select[id$=ddlpkg]").val() == "0"){
noty({ text: 'Please Select Package', layout: 'topRight', type: 'information' });
                setTimeout(function () { $.noty.closeAll(); }, 3000);
                return false;
}
            var obj = {};
            obj.stdids = studenids;
            obj.clsids = $('select[id$=ddlclass]').val();
            obj.divs = $('select[id$=ddldivi]').val();
            obj.yrs = $('select[id$=ddlyears]').val();
            obj.semis = $('select[id$=ddlsemister]').val();
            obj.expkgid = $("select[id$=ddlpkg]").val();
            obj.exampaydt = $("#exdate").val();
            obj.pymode = $("select[id$=ddlpaymode]").val();
            obj.utrnos = $("#txtutrnos").val();
            $.ajax({
                type: "POST",
                url: "examfeeyearwise.aspx/AssignData",
                data: JSON.stringify(obj),
                contentType: "application/JSON; charset=utf-8",
                datatype: "JSON",
                success: function (response) {
                    if (response.d != "") {

                      //  getstuddata();
                    
                        noty({ text: 'Assigned Successfully', layout: 'topRight', type: 'information' });
                        setTimeout(function () { $.noty.closeAll(); }, 3000);
                        loadOtherPage1(studenids,  $('select[id$=ddlyears]').val(), $('select[id$=ddlclass]').val(), $('select[id$=ddldivi]').val(), $("select[id$=ddlpkg]").val(), $('select[id$=ddlsemister]').val(),response.d);
                        $("#txtutrnos").val("");
                        $('select[id$=ddlpaymode]').val("").change(); $("#divutrn").hide();
                        clears();
                    }
                },
                error: function (error) {
                    console.log(JSON.stringify(error));
                    //alert("Error in insert");
                    noty({ text: 'Error in insert', layout: 'topRight', type: 'information' });
                    setTimeout(function () { $.noty.closeAll(); }, 3000);

                }

            });
        } 
        function clears() {
            $('select[id$=ddlsemister]').val("0").change();
            $("select[id$=ddlpkg]").val("0").change();
            $('select[id$=ddlstudent]').val("");
            studenids = "";
            $('select[id$=ddlclass]').val("0").change();
            $('select[id$=ddldivi]').val("0").change();
            let today2 = new Date().toISOString().substr(0, 10);
            document.querySelector("#exdate").value = today2;
            $('select[id$=ddlyears]').val("0").change();
        }
        function printdata(stdids,  yrds, clsid, divsids, exxampkgid, semsid,examrecpts) {
            $("#printabel1").remove();
            loadOtherPage1(stdids,  yrds, clsid, divsids, exxampkgid, semsid,examrecpts);
        }
        function loadOtherPage1(sid,yrid,clid,divid,exid,semid,exrepts) {
            $("<iframe id='printabel1'>")
               .hide()
            .attr("src", "examfeereceipt?SID=" + sid+"&yid="+yrid+"&clid="+clid+"&divid="+divid+"&exid="+exid +"&semiid="+semid+"&examrept="+exrepts)
            .appendTo("body");
        }
          </script>
  <div class="page-wrapper">
			<div class="page-content">
				<div class="row">
					<div class="col-md-12 mx-auto" >
					
				<div class="card">
					<div class="card-body">
						<div class="card-title d-flex align-items-center">

							<h6>Exam Fee Yearwise</h6>
						</div>
						<hr />
						
						
						<form class="row g-2">
							
                            <div class="col-md-2">
								<label>Year</label>
							<select id="ddlyears" class="form-select">
								
								</select>
							</div>
                            <div class="col-md-2">
								<label>Class</label>
							<select id="ddlclass" class="form-select">
								
								</select>
							</div>
							<div class="col-md-2">
								<label>Division</label>
									<select id="ddldivi" class="form-select">
								
								</select>
							</div>
                            <div class="col-md-2">
								<label>Student Name</label>
									<%--<select id="ddlstudent" class="form-select">
								
								</select>--%>
                                  <input type="text" id="ddlstudent" class="form-control" />
							</div>
                            <div class="col-md-2">
						<label>Semester</label>
							<select class="form-select mb-3" id="ddlsemister" aria-label="Default select example">
						
							</select>
						</div>
                            <div class="col-md-2">
						<label>Exam Package</label>
							<select class="form-select mb-3" id="ddlpkg" aria-label="Default select example">
						
							</select>
						</div> 
                            <div class="col-md-2">
									<label class="control-label">Pay Mode<font color="#000000">*</font></label>
									<select id="ddlpaymode" class="form-select">
                                            <option value="">Select Pay Mode</option>
                                    <option value="cash">Cash</option>
                                        <option value="online">Online</option> 
									</select>
								</div>
                                	<div class="col-md-2" style="display:none" id="divutrn">
                                        <label>UTR Nos.<font color="#000000">*</font> </label>
									<input type="text" id="txtutrnos" class="form-control" />
                                        </div>
                            <div class="col-md-3">
						<label>Exam Payment Date</label>
						<input class="form-control mb-3" id="exdate" type="date" />
						</div>
                            <div class="col-md-2" style="margin-top: 4.7vh;">
			        <button type="button" id="Button1" value="Submit" onclick="assignexampkg()" class="btn btn-primary">Assign & Print</button>
							
											
						   </div>
					
						   
                           </form>
                       </div>
                   </div>
				

				   <div class="overlay toggle-icon"></div>
				   <hr/>
				   <div class="col-md-12 mx-auto">
				   <div class="card">
					   <div class="card-body">
                             <div class="col-md-12">
                        <div class="row">
                            <div class="col-md-2">
								<label>Year</label>
							<select id="ddlyears1" class="form-select">
								
								</select>
							</div>
                            <div class="col-md-2">
								<label>Class</label>
							<select id="ddlclass1" class="form-select">
								
								</select>
							</div>
							<div class="col-md-2">
								<label>Division</label>
									<select id="ddldivi1" class="form-select">
								
								</select>
							</div>
                            <div class="col-md-2" style="margin-top: 4.7vh;">
			        <button type="button" id="btnadd" value="Submit" onclick="getstuddata()" class="btn btn-primary">Search</button>
							
											
						   </div>
                            </div>
                                 </div>
                           <hr />
						   <div class="table-responsive">
							   <table id="dataemp" class="table table-striped table-bordered">
								   <thead>
									   <tr>
										   <th>Sr.no</th>
                                           <th>Student ID</th>	
                                            <th>Student Name</th>	
                                             <th>Package ID</th>	
                                             <th>Package Name</th>	
                                           <th>Student Name</th>
                                              <th>Year</th>	
                                            <th>Class</th>
										   <th>Division</th>
										   	 <th>Exam Package</th>  
                                           <th>Amount</th>
                                             <th>Receipt No.</th>
                                           <th>Pay Mode</th>
                                             <th>Utr Nos.</th>
                                           <th>Exam Receipt Date</th>
										   <th style="background-color: white;">Action</th>
									   </tr>
								   </thead>
								   <%--<tbody>
									   <tr>
										   <td>1</td>
										   <td>Admission Fee</td>	
										   
										   <td style="background-color: white;">
																			
											<button  style="height:35px; width: 35px; padding-left:7px;" type="button" class="btn btn-success"  ><i class='bx bx-message-square-edit'></i>
											</button>&nbsp;<button  style="height:35px; width: 35px; padding-left:7px;" type="button" class="btn btn-danger"><i class="fadeIn animated bx bx-trash-alt"></i>
											</button>&nbsp;
											<button  style="height:35px; width: 35px; padding-left:7px;" type="button" class="btn btn-primary"><i class="lni lni-save"></i>
											</button>&nbsp;
											<button  style="height:35px; width: 35px; padding-left:7px;" type="button" class="btn btn-dark"><i class='bx bx-x'></i></span>
											</button>
											</td>
										</div>	
										</div>		
										</div>								
										   </tr>
									   </tbody>--%>
							   </table>
						   </div>
					   </div>
				   </div>
			   </div>
			   </div>
                    </div>
                </div>
            </div>
      <div class="col">
		<!-- Button trigger modal -->
		
		<!-- Modal -->
		<div class="modal fade" id="exampleLargeModal5" tabindex="-1" aria-hidden="true">
			<div class="modal-dialog modal-xl">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title">Assign</h5>
						<button type="button" class="btn-close" data-bs-dismiss="modal" id="mclose" aria-label="Close"></button>
					</div>
					<div class="modal-body"> 
                         
                        <form class="row g-2">
                            <div class="col-md-2"></div>
						<div class="col-md-2">
						<label>Division</label>
							<select class="form-select mb-3" id="ddldivis" aria-label="Default select example">
						
							</select>
						</div>
						
                            </form>

                        </div>
                    </div></div></div>
          </div>
        </asp:Content>